=== modified file 'bzrlib/tests/test_config.py'
--- bzrlib/tests/test_config.py	2011-05-18 02:47:33 +0000
+++ bzrlib/tests/test_config.py	2011-05-25 14:17:27 +0000
@@ -2200,8 +2200,14 @@
 
     def test_file_urls_are_normalized(self):
         store = self.get_store('foo.conf')
-        matcher = config.LocationMatcher(store, 'file:///dir/subdir')
-        self.assertEquals('/dir/subdir', matcher.location)
+        if sys.platform == 'win32':
+            expected_url = 'file:///C:/dir/subdir'
+            expected_location = 'C:/dir/subdir'
+        else:
+            expected_url = 'file:///dir/subdir'
+            expected_location = '/dir/subdir'
+        matcher = config.LocationMatcher(store, expected_url)
+        self.assertEquals(expected_location, matcher.location)
 
 
 class TestStackGet(tests.TestCase):

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-05-21 17:50:49 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-05-25 14:17:27 +0000
@@ -177,6 +177,10 @@
   restoring the wt_scenarios helper that was accidentally deleted.
   (Vincent Ladeuil, #783472)
 
+* Windows locations are different and should be tested accordingly.
+  (Vincent Ladeuil, #788131)
+
+
 bzr 2.4b2
 #########
 

